#include <iostream>
#include <cmath>
#define ull unsigned long long
#define rem 998244353
using namespace std;

int main() {
    ull ans = 1, x;
    int N, M, K, i;
    cin >> N >> M >> K;
    for (i = 0; i < M; i++) {
        x = (ull)(N - K + 1);
        ans *= x % rem;
    }
    ans += M; ans %= rem;
    cout << ans % rem << endl;
    return 0;
}